{
	"easycom": {
		// "autoscan": true, 
		"custom":{
			"^u-(.*)": "@/uview-ui/components/u-$1/u-$1.vue"
		}
	},
	"pages": [ //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
		{
			"path": "pages/tabbar/login",
			"style": {
				"navigationBarTitleText": "登录页",
				"navigationStyle":"custom",
				"app-plus": {
						 "softinputMode": "adjustResize"
				}
			}
		},
		{
			"path": "pages/tabbar/config",
			"style": {
				"navigationBarTitleText": "域名配置"
			}
		},
		// {
		// 	"path": "pages/index/forget-password",
		// 	"style": {
		// 		"navigationBarTitleText": "忘记密码",
		// 		"navigationStyle":"custom"
		// 	}
		// },
		{
			"path": "pages/tabbar/new",
			"style": {
				"navigationBarTitleText": "消息",
				"navigationBarBackgroundColor": "#FFFFFF"
			}
		},
		{
			"path": "pages/tabbar/workbench",
			"style": {
				"navigationBarTitleText": "工作台",
				"navigationStyle": "custom"
			}
		},
		{
			"path": "pages/tabbar/home",
			"style": {
				"navigationBarTitleText": "首页",
				"navigationStyle": "custom"
			}
		},
		{
			"path": "pages/tabbar/my",
			"style": {
				"navigationBarTitleText": "我的",
				"navigationBarBackgroundColor": "#FFFFFF"
			}
		},
		{
			"path": "pages/tabbar/module/intelligent",
			"style": {
				"navigationBarTitleText": "智能"
			}
		},
		{
			"path": "pages/tabbar/scan",
			"style": {
				"navigationBarTitleText": "扫一扫"
			}
		},
		{
				"path": "uni_modules/uni-upgrade-center-app/pages/upgrade-popup",
				"style": {
						"disableScroll": true,
						"app-plus": {
								"backgroundColorTop": "transparent",
								"background": "transparent",
								"titleNView": false,
								"scrollIndicator": false,
								"popGesture": "none",
								"animationType": "fade-in",
								"animationDuration": 200
		
						}
				}
		}
	],
	"subpackages": [
		{
			"root": "pages/new/",
			"pages": [
				{
					"path": "detail",
					"style": {
						"navigationBarTitleText":"消息详情"
					}
				}
			]
		},
		{
			"root": "pages/my/",
			"pages": [
				{
					"path": "reset-password",
					"style": {
						"navigationBarTitleText":"修改密码"
					}
				},
				{
					"path": "replace-phone",
					"style": {
						"navigationBarTitleText":"换绑手机"
					}
				}
			]
		},
		{
			"root": "pages/intelligent/",
			"pages": [
				{
					"path": "template/public/public1",
					"style": {
						"navigationBarTitleText":"通用设备"
					}
				},
				{
					"path": "template/light/light1",
					"style": {
						"navigationBarTitleText":"灯类设备"
					}
				},
				{
					"path": "region/index",
					"style": {
						"navigationBarTitleText":"区域管理"
					}
				}
			]
		},
		{
			"root": "pages/webview/",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationBarTitleText":"webview"
					}
				}
			]
		},
		{
			"root": "pages/work/",
			"pages": [
				{
					"path": "index",
					"style": {
						"navigationBarTitleText":"应用内默认页"
					}
				},
				{
					"path": "webview",
					"style": {
						"navigationBarTitleText":"应用内嵌页"
					}
				}
			]
		},
		{
			"root": "pages/iots/",
			"pages": [
				{
					"path": "home/index",
					"style": {
						"navigationBarTitleText":"物联网"
					}
				},
				{
					"path": "device/device-list",
					"style": {
						"navigationBarTitleText":"设备列表"
					}
				},
				{
					"path": "notice/index",
					"style": {
						"navigationBarTitleText":"告警"
					}
				},
				{
					"path": "notice/list",
					"style": {
						"navigationBarTitleText":"告警列表"
					}
				},
				{
					"path": "device/device-detail",
					"style": {
						"navigationBarTitleText":"设备详情"
						// "componentPlaceholder": {
						// 	// "其他分包自定义组件": "占位组件"
						// 	"package-com": "view"
						// }
					}
				},
				{
					"path": "device/device-control",
					"style": {
						"navigationBarTitleText":"设备控制"
					}
				},
				{
					"path": "device/device-alarm",
					"style": {
						"navigationBarTitleText":"设备报警"
					}
				},
				{
					"path": "device/device-data",
					"style": {
						"navigationBarTitleText":"历史数据"
					}
				},
				{
					"path": "device/device-ability-list",
					"style": {
						"navigationBarTitleText":"设备功能列表"
					}
				},
				{
					"path": "device/device-ability-detail",
					"style": {
						"navigationBarTitleText":"设备功能详情"
					}
				},
				{
					"path": "map/device-map",
					"style": {
						"navigationBarTitleText":"设备地图"
					}
				}
			]
		},
		// 组态
		{
			"root": "pages/configuration/",
			"pages": [
				{
					"path": "configuration-list",
					"style": {
						"navigationBarTitleText": "组态列表"
						// "navigationStyle":"custom"
					}
				},
				{
					"path": "configuration-detail",
					"style": {
						// "navigationStyle": "default",
						"navigationBarTitleText": "组态详情",
						// "navigationBarBackgroundColor":"#1b85e9",
						// "navigationBarTextStyle":"white",
						"pageOrientation":"landscape"
						// #ifdef APP-PLUS
						,
						"navigationStyle":"custom"
						// #endif
					}
				},
				{
					"path": "configuration-transfer",
					"style": {
						"navigationBarTitleText": "组态跳转"
					}
				},
				{
					"path": "configuration-appgo",
					"style": {
						"navigationBarTitleText": "app跳转"
					}
				},
				{
					"path": "configuration-share",
					"style": {
						"navigationBarTitleText": "组态分享列表"
					}
				}
			]
		}
	],
	"globalStyle": {
		// "navigationStyle": "custom",
		"navigationBarTextStyle": "black",
		"navigationBarTitleText": "uView",
		"navigationBarBackgroundColor": "#FFFFFF",
		"backgroundColor": "#FFFFFF"
	},
	"tabBar": {
	    "color": "#666666",
	    "selectedColor": "#369EFF",
	    "borderStyle": "black",
	    "backgroundColor": "#ffffff",
		// #ifdef APP-PLUS
		"midButton":{
			"width": "57px",  
			"height": "78px",  
			"iconWidth": "57px",
			"iconPath":"static/image/tabbar/app-scan.png",
			"text": "扫一扫"
		},
		// #endif
	    "list": [{
			    "pagePath": "pages/tabbar/home",
			    "iconPath": "static/image/tabbar/home.png",
			    "selectedIconPath": "static/image/tabbar/home-active.png",
			    "text": "首页"
			},{
	        "pagePath": "pages/tabbar/workbench",
	        "iconPath": "static/image/tabbar/workbench.png",
	        "selectedIconPath": "static/image/tabbar/workbench-active.png",
	        "text": "工作台"
	    },
			// #ifdef MP-WEIXIN
			{
			    "pagePath": "pages/tabbar/scan",
			    "iconPath": "static/image/tabbar/scan.png",
			    "selectedIconPath": "static/image/tabbar/scan-active.png",
			    "text": "扫一扫"
			},
			// #endif
			{
			    "pagePath": "pages/tabbar/new",
			    "iconPath": "static/image/tabbar/new.png",
			    "selectedIconPath": "static/image/tabbar/new-active.png",
			    "text": "消息"
			},
			{
	        "pagePath": "pages/tabbar/my",
	        "iconPath": "static/image/tabbar/my.png",
	        "selectedIconPath": "static/image/tabbar/my-active.png",
	        "text": "我的"
	    }]
	},
	"condition": { //模式配置，仅开发期间生效
			"current": 0, //当前激活的模式(list 的索引项)
			"list": [
				// {
				// 	"name": "欢迎", //模式名称
				// 	"path": "pages/tabbar/welcome", //启动页面，必选
				// 	"query": "" //启动参数，在页面的onLoad函数里面得到
				// },
				{
					"name": "登录", //模式名称
					"path": "pages/tabbar/login", //启动页面，必选
					"query": "" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "工作台", //模式名称
					"path": "pages/tabbar/workbench", //启动页面，必选
					"query": "" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "我的", //模式名称
					"path": "pages/tabbar/my", //启动页面，必选
					"query": "" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "消息", //模式名称
					"path": "pages/tabbar/new", //启动页面，必选
					"query": "" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "首页", //模式名称
					"path": "pages/tabbar/home", //启动页面，必选
					"query": "" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "公用模板1", //模式名称
					"path": "pages/intelligent/template/public/public1", //启动页面，必选
					"query": "" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "区域管理", //模式名称
					"path": "pages/intelligent/region/index", //启动页面，必选
					"query": "" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "域名配置", //模式名称
					"path": "pages/tabbar/config", //启动页面，必选
					"query": "" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "换绑手机", //模式名称
					"path": "pages/my/replace-phone", //启动页面，必选
					"query": "" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "设备地图", //模式名称
					"path": "pages/iots/map/device-map", //启动页面，必选
					"query": "name=设备位置&isModel=false&type=all&data=[{longitude:119.210333,latitude:26.037021}]" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "物联网", //模式名称
					"path": "pages/iots/home/index", //启动页面，必选
					"query": "" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "设备列表", //模式名称
					"path": "pages/iots/device/device-list", //启动页面，必选
					"query": "" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "告警", //模式名称
					"path": "pages/iots/notice/index", //启动页面，必选
					"query": "" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "告警列表", //模式名称
					"path": "pages/iots/notice/list", //启动页面，必选
					"query": "" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "设备详情", //模式名称
					"path": "pages/iots/device/device-detail", //启动页面，必选
					"query": "id=58093&devName=测试设备信息" //启动参数，在页面的onLoad函数里面得到
					// "query": "id=58109&devName=手机端测试设备" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "设备数据", //模式名称
					"path": "pages/iots/device/device-data", //启动页面，必选
					"query": "" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "设备功能列表", //模式名称
					"path": "pages/iots/device/device-ability-list", //启动页面，必选
					"query": "abilityList=%5B%7B%22callType%22%3A%22async%22%2C%22identifier%22%3A%22s1%22%2C%22ioObj%22%3A%7B%22IoDeployForm%22%3A%7B%7D%2C%22in%22%3A%5B%7B%22IoDeployForm%22%3A%7B%22length%22%3A%2220%22%7D%2C%22ioDataType%22%3A%22string%22%2C%22ioDataTypeName%22%3A%22%E5%AD%97%E7%AC%A6%E4%B8%B2%22%2C%22ioFormType%22%3A%22text%22%2C%22ioKey%22%3A%22p1%22%2C%22ioName%22%3A%22%E5%8F%82%E6%95%B01%22%2C%22ioRequired%22%3Atrue%7D%2C%7B%22IoDeployForm%22%3A%7B%22max%22%3A%2250%22%2C%22step%22%3A%221%22%7D%2C%22ioDataType%22%3A%22float%22%2C%22ioDataTypeName%22%3A%22%E6%B5%AE%E7%82%B9%E5%9E%8B%22%2C%22ioFormType%22%3A%22number%22%2C%22ioKey%22%3A%22p2%22%2C%22ioName%22%3A%22canshu2%22%7D%5D%2C%22verification%22%3A%7B%22required%22%3Afalse%7D%7D%2C%22name%22%3A%22%E5%8A%9F%E8%83%BD1%22%7D%2C%7B%22callType%22%3A%22sync%22%2C%22identifier%22%3A%22s2%22%2C%22ioObj%22%3A%7B%22IoDeployForm%22%3A%7B%7D%2C%22in%22%3A%5B%7B%22IoDeployForm%22%3A%7B%7D%2C%22ioDataType%22%3A%22string%22%2C%22ioDataTypeName%22%3A%22%E5%AD%97%E7%AC%A6%E4%B8%B2%22%2C%22ioFormType%22%3A%22text%22%2C%22ioKey%22%3A%22cs1%22%2C%22ioName%22%3A%22%E6%96%87%E6%9C%AC%22%2C%22ioRequired%22%3Atrue%7D%2C%7B%22IoDeployForm%22%3A%7B%22max%22%3A%22100%22%2C%22min%22%3A%220%22%2C%22step%22%3A%221%22%7D%2C%22ioDataType%22%3A%22int%22%2C%22ioDataTypeName%22%3A%22%E6%95%B4%E5%9E%8B%22%2C%22ioFormType%22%3A%22number%22%2C%22ioKey%22%3A%22cs2%22%2C%22ioName%22%3A%22%E6%95%B0%E5%AD%97%22%2C%22ioRequired%22%3Atrue%7D%2C%7B%22IoDeployForm%22%3A%7B%7D%2C%22ioDataType%22%3A%22bool%22%2C%22ioDataTypeName%22%3A%22%E5%B8%83%E5%B0%94%E5%9E%8B%22%2C%22ioFormType%22%3A%22switch%22%2C%22ioKey%22%3A%22cs3%22%2C%22ioName%22%3A%22%E5%BC%80%E5%85%B3%22%2C%22ioRequired%22%3Atrue%7D%2C%7B%22IoDeployForm%22%3A%7B%22max%22%3A%2250%22%2C%22min%22%3A%220%22%2C%22step%22%3A%222%22%7D%2C%22ioDataType%22%3A%22int%22%2C%22ioDataTypeName%22%3A%22%E6%95%B4%E5%9E%8B%22%2C%22ioFormType%22%3A%22slider%22%2C%22ioKey%22%3A%22cs4%22%2C%22ioName%22%3A%22%E8%BF%9B%E5%BA%A6%E6%9D%A1%22%2C%22ioRequired%22%3Atrue%7D%2C%7B%22IoDeployForm%22%3A%7B%7D%2C%22ioDataType%22%3A%22string%22%2C%22ioDataTypeName%22%3A%22%E5%AD%97%E7%AC%A6%E4%B8%B2%22%2C%22ioFormType%22%3A%22time_picker%22%2C%22ioKey%22%3A%22cs6%22%2C%22ioName%22%3A%22%E6%97%B6%E9%97%B4%22%2C%22ioRequired%22%3Atrue%7D%5D%2C%22out%22%3A%5B%7B%22IoDeployForm%22%3A%7B%7D%2C%22ioDataType%22%3A%22string%22%2C%22ioDataTypeName%22%3A%22%E5%AD%97%E7%AC%A6%E4%B8%B2%22%2C%22ioFormType%22%3A%22text%22%2C%22ioKey%22%3A%22scss1%22%2C%22ioName%22%3A%22%E8%BE%93%E5%87%BA%E5%8F%82%E6%95%B01%22%7D%5D%2C%22verification%22%3A%7B%22required%22%3Afalse%7D%7D%2C%22name%22%3A%22%E5%8A%9F%E8%83%BD2%22%7D%5D&deviceName=测试设备信息&devId=55689999sdff&pk=ySJnBomFNhM1TUobuokp" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "组态列表", //模式名称
					"path": "pages/configuration/configuration-list", //启动页面，必选
					"query": "" //启动参数，在页面的onLoad函数里面得到
				},
				{
					"name": "组态分享列表", //模式名称
					"path": "pages/configuration/configuration-share", //启动页面，必选
					"query": "uuid=m33aczfhwujbvb6uy4mg" //启动参数，在页面的onLoad函数里面得到
				}
			]
		}
}
